﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using Android.Graphics;
using Com.Syncfusion.Charts.Enums;
using Android.Support.V7.App;

namespace ChartSample
{
    [Activity(Label = "ChartSample", MainLauncher = true, Icon = "@drawable/icon", Theme = "@style/Theme.AppCompat")]
    public class MainActivity : AppCompatActivity
    {
        SfChart chart;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            chart = new SfChart(this);
            chart.SetBackgroundColor(Color.White);
            chart.Title.Text = "Plants in Wonderland";
            chart.Legend.Visibility = Visibility.Visible;
            chart.ColorModel.ColorPalette = ChartColorPalette.TomatoSpectrum;

            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();

            PolarSeries polarSeries1 = new PolarSeries();
            polarSeries1.TooltipEnabled = true;
            polarSeries1.AnimationEnabled = true;
            polarSeries1.Label = "Weed";
            polarSeries1.Closed = true;
            polarSeries1.DrawType = PolarChartDrawType.Area;
            polarSeries1.Alpha = 0.5f;
            polarSeries1.DataSource = MainPage.GetPolarData1();
            chart.Series.Add(polarSeries1);

            PolarSeries polarSeries2 = new PolarSeries();
            polarSeries2.TooltipEnabled = true;
            polarSeries2.AnimationEnabled = true;
            polarSeries2.Label = "Flower";
            polarSeries2.Closed = true;
            polarSeries2.DrawType = PolarChartDrawType.Area;
            polarSeries2.Alpha = 0.5f;
            polarSeries2.DataSource = MainPage.GetPolarData2();
            chart.Series.Add(polarSeries2);

            PolarSeries polarSeries3 = new PolarSeries();
            polarSeries3.AnimationEnabled = true;
            polarSeries3.TooltipEnabled = true;
            polarSeries3.Label = "Tree";
            polarSeries3.Closed = true;
            polarSeries3.DrawType = PolarChartDrawType.Area;
            polarSeries3.Alpha = 0.5f;
            polarSeries3.DataSource = MainPage.GetPolarData3();
            chart.Series.Add(polarSeries3);

            SetContentView(chart);
        }
    }
}

